<div [hidden]="!node">
  <mat-card>
    <mat-card-content>
      <div class="info-header">
        <div class="info-header-circle" [style.background]="color"></div>
        <div class="info-header-content-container">
          <div class="info-header-content">
            <div class="info-header-title">{{name}}</div>
            <div class="info-header-subheader">{{subheader}}</div>
          </div>
        </div>
      </div>
      <div class="info-content">
        <div class="info" [hidden]="!flopsUtilization">
          <div class="title">FLOPS utilization:</div>
          <div class="bar-container">
            <div
              class="bar"
              [style.width]="flopsUtilization"
              [style.background-color]="flopsColor">
              &nbsp;{{flopsUtilization}}
            </div>
          </div>
        </div>
        <div class="info" [hidden]="!memoryBandwidthUtilization">
          <div class="title">Memory bandwidth utilization:</div>
          <div class="bar-container">
            <div
              class="bar"
              [style.width]="memoryBandwidthUtilization"
              [style.background-color]="bwColor">
              &nbsp;{{memoryBandwidthUtilization}}
            </div>
          </div>
        </div>
        <div class="info" [hidden]="!hbmBandwidthUtilization">
          <div class="title">HBM bandwidth utilization:</div>
          <div class="bar-container">
            <div
              class="bar"
              [style.width]="hbmBandwidthUtilization"
              [style.background-color]="hbmBwColor">
              &nbsp;{{hbmBandwidthUtilization}}
            </div>
          </div>
        </div>
        <div class="info" [hidden]="!flopsRate">
          <div class="title">FLOP rate (per core):</div>
          <code class="expression">{{flopsRate}}</code>
        </div>
        <div class="info" [hidden]="!memoryBandwidth">
          <div class="title">Memory bandwidth (per core):</div>
          <code class="expression">{{memoryBandwidth}}</code>
        </div>
        <div class="info" [hidden]="!hbmBandwidth">
          <div class="title">HBM bandwidth (per core):</div>
          <code class="expression">{{hbmBandwidth}}</code>
        </div>
        <div class="info" [hidden]="!expression">
          <div class="title">XLA expression:</div>
          <code class="expression">{{expression}}</code>
        </div>
        <div class="info" [hidden]="!provenance">
          <div class="title">Long Op Name:</div>
          <code class="expression">{{provenance}}</code>
        </div>
        <div class="info" [hidden]="!fused">
          <div class="unavailable">
            Performance information for individual fused operations is not available.
          </div>
        </div>
        <div class="info" [hidden]="!hasCategory">
          <div class="unavailable">
            Select items within this category for performace details.
          </div>
        </div>
        <div class="info" [hidden]="!hasLayout">
          <div class="title">Layout:</div>
          <div class="layout" *ngFor="let dimension of dimensions; let i = index">
            <div>
              <div class="size-x">
                <div [hidden]="!i">x</div>
              </div>
            </div>
            <div>
              <span class="size">{{dimension.size}}</span>
              <span class="semantics">{{dimension.semantics}}</span>
              <span
                    class="alignment"
                    [style.background-color]="dimensionColor(dimension)">
                {{dimensionHint(dimension)}}
              </span>
            </div>
          </div>
        </div>
        <div class="info" [hidden]="!computationPrimitiveSize">
          <div class="title"> Hardware Computation Size:</div>
          <code class="expression">{{computationPrimitiveSize}}</code>
        </div>
        <div [hidden]="selectedOpNodeChain.length < 2 || selectedOpNodeChain[0] !== 'by_program'">
          <a [href]="getGraphViewerLink()" target="_blank" style="text-decoration:none;">
            <button
              mat-stroked-button
              extended
              type="button"
              color="primary"
              appearance="fill"
              aria-label="go to graph viewer"
              i18n-aria-label="A button to corresponding graph viewer page">
             > Graph Viewer
            </button>
          </a>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
